%define cvsdate 20040426
%undefine cvsdate
%define ver_major 2.10
%def_disable static

Name: libbonobo
Version: %ver_major.0
Release: alt1

Summary: Bonobo component system
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef cvsdate
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
%else
Source: %name-%version-%cvsdate.tar.bz2
%endif

Patch: %name-2.3.2-alt-tests_makefile.patch

%define ORBit_ver 2.12.1
%define libxml2_ver 2.6.17
%define intltool_ver 0.33
%define gtk_doc_ver 1.3

BuildPreReq: gnome-common
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Mon Apr 26 2004
BuildRequires: ORBit2-devel XFree86-utils docbook-dtds docbook-style-xsl flex gcc-c++ gcc-g77 glib2-devel gtk-doc indent intltool libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig xml-common xsltproc zlib-devel

%description
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package -n %{name}2
Summary: Bonobo component system
Group: System/Libraries
License: LGPL
Obsoletes: bonobo-activation
Obsoletes: libbonobo-activation
Provides: bonobo-activation = %version-%release
Provides: libbonobo-activation = %version-%release
Requires: libORBit2 >= %ORBit_ver

%description -n %{name}2
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package -n %{name}2-devel
Summary: Libraries and headers for libbonobo
Group: Development/GNOME and GTK+
License: GPL/LGPL
Requires: %{name}2 = %version-%release
Requires: ORBit2-devel >= %ORBit_ver
Requires: libxml2-devel >= %libxml2_ver
Obsoletes: bonobo-activation-devel
Provides: bonobo-activation-devel = %version-%release
Conflicts: bonobo-devel < 1.0.8

%description -n %{name}2-devel
Bonobo is a component system based on CORBA, used by the GNOME desktop.
This package contains header files used to compile programs that
use Bonobo.

%package -n %{name}2-devel-doc
Summary: Development documentation for Bonobo
Group: Development/GNOME and GTK+
Conflicts: %{name}2 < %version-%release

%description -n %{name}2-devel-doc
Bonobo is a component system based on CORBA, used by the GNOME desktop.
This package contains development documentation for Bonobo.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_bindir

%prep
%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name
%endif

%patch -p1

%__subst 's,\${prefix}/lib,%_libdir,
	  s,\${prefix}/etc,%_sysconfdir,' activation-server/bonobo-activation-server.1

%__rm -f samples/echo/Bonobo_Sample_Echo{-{common,skels,stubs}.c,.h}

%build
%ifdef cvsdate
glib-gettextize --copy --force
intltoolize --copy --force
gtkdocize --copy
#! automake don't install mkinstalldirs
%__cp %_datadir/automake-1.8/mkinstalldirs .
%endif

%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

%configure \
	%{subst_enable static} \
	    --enable-gtk-doc

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/bonobo/monikers/*.la
%__rm -f %buildroot%_libdir/orbit-*/*.la

%find_lang %name-2.0

%post -n %{name}2 -p %post_ldconfig
%postun -n %{name}2 -p %postun_ldconfig

%files -n %{name}2 -f %name-2.0.lang
%_bindir/bonobo-activation-server
%_bindir/activation-client
%_bindir/bonobo-slay
%_sbindir/bonobo-activation-sysconf
%_libdir/*.so.*
%dir %_libdir/bonobo
%dir %_libdir/bonobo/servers
%_libdir/bonobo/servers/*
%exclude %_libdir/bonobo/servers/Bonobo_Sample_Echo.server
%dir %_libdir/bonobo/monikers
%_libdir/bonobo/monikers/*.so
%_libdir/orbit-*/*.so
%_datadir/idl/*
%dir %_sysconfdir/bonobo-activation
%config %_sysconfdir/bonobo-activation/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README

%files -n %{name}2-devel
%_bindir/bonobo-activation-run-query
%_bindir/echo-client-2
%_libdir/bonobo/servers/Bonobo_Sample_Echo.server
%_includedir/*
%_libdir/*.so
%dir %_libdir/bonobo-2.0
%_libdir/bonobo-2.0/samples/*
%_libdir/pkgconfig/*

%files -n %{name}2-devel-doc
%_gtk_docdir/*

%changelog
* Wed Jul 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0
- %%_libdir/bonobo directory owned by libbonobo2 package (close #6447).

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1.
- documentation moved to devel-doc subpackage.

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1.1
- move {broken,empty,plugin}.server to devel subpackage (close #4396)

* Sun May 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sat May 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Mon Apr 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt2
- updated from cvs.

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Sat Jan 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt2
- do not package .la files.

* Wed Nov 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Sun Oct 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Fri Jun 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue Jun 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1
- merge bonobo-activation

* Sat Mar 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Mon Dec 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt1.2
- rebuild to move to the files
- fixed URL.
- added packager Tag.
- fixed find_lang (now translations in the package)

* Mon Jun 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
-
- (inger)changed make_build to make

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.117.1-alt1
- 1.117.1

* Tue May 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.117.0-alt1
- 1.117

* Tue May 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.116.0-alt1
- Adopted for Sisyphus.

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.113.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0
- Rebuild for dependencies
- Intltoolize, the included version has problems with our Perl

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake-1.4

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.107.0, glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib, new snap

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to 1.103.0 tarball
- call automake after patching Makefile.am
- patch for parallel install

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- add some requires

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- conflict with bonobo < 1.0.8 to avoid header conflicts
- update group

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- moved IDL files into subdir
- remove smp_mflags, libbonobo does not like those

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- remove IDL files as temporary hack

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

